
Foreman - Bug #16881

Pass information from proxy errors to Foreman

10/12/2016 07:17 AM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Proxy gateway   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3934

  

Description

When there's an error on a proxy operation, the proxy returns a 400 response with errors but those errors are never displayed on the

UI.

ProxyException should read those errors when they are present, and display them. Examples of these are DNS conflicts, BMC

errors, etc..

History

#1 - 10/12/2016 11:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3934 added

#2 - 10/12/2016 11:59 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3935 added

#3 - 11/04/2016 12:46 PM - Daniel Lobato Garcia

- Target version set to 1.5.2

#4 - 11/29/2016 09:58 AM - Daniel Lobato Garcia

- Target version changed from 1.5.2 to 1.4.3

#5 - 06/01/2017 03:40 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Assignee deleted (Daniel Lobato Garcia)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3935)

#6 - 07/23/2018 11:29 AM - Tomer Brisker

- Target version deleted (1.4.3)
